name: CI

on: push

jobs:
  stir_dry_ingredients:
    runs-on: ubuntu-latest
    continue-on-error: true
    steps:
      - name: Mix dry ingredients
      - uses: actions/checkout@v2
      - run: |
          echo 'Mix all dry ingredients in a bowl ...'
          sleep 1
          echo 'OK!'
  stir_wet_ingredients:
    runs-on: ubuntu-latest
    continue-on-error: true
    steps:
      - name: Mix wet ingredients
      - uses: actions/checkout@v2
      - run: |
          echo 'Mix all ingredients together ...'
          echo 'Ready to bake!'
  combine_all_ingredients: 
    needs: [stir_dry_ingredients, stir_wet_ingredient]
    runs-on: ubuntu-latest
    continue-on-error: true
    steps:
      - uses: actions/checkout@v2
      - name: Combine ingredients
        run: |
          echo 'Mix all ingredients together ...'
          echo 'Ready to bake!'
  cook_it_time:
    needs: combine_all_ingredients
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - name: Put it in the oven
        run: |
          echo 'Put mixture in oven ...'
          sh final/report.sh
          echo 'DONE!'
  ice_that_cake:
    needs: cook_it_time
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - name: Icing the cake
      - run: |
          echo 'Draw flowers with icing!'
    

